## ros-humble-network-interface 2003.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(network_interface)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()


## Generate messages in the 'msg' folder
rosidl_generate_interfaces(${PROJECT_NAME}_msgs
  "msg/TCPFrame.msg"
  "msg/UDPFrame.msg"
  DEPENDENCIES builtin_interfaces std_msgs
)


###########
## Build ##
###########

include_directories(
  include
)

add_library(
  ${PROJECT_NAME}
  src/tcp_interface.cpp
  src/udp_interface.cpp
  src/udp_server.cpp
  src/utils.cpp
)

ament_export_targets(${PROJECT_NAME} HAS_LIBRARY_TARGET)

#############
## Install ##
#############

install(
	DIRECTORY include/network_interface
	DESTINATION include
)

install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_package()

=== debian/changelog ===
ros-humble-network-interface (2003.1.1-2jammy) jammy; urgency=high

  * Ros2 devel (#42 <https://github.com/astuff/network_interface/issues/42>)
    * changes for ros2
    * foxy ci
    * install boost library in docker container
  * Contributors: cullenstoneAS

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 29 Jun 2022 05:00:00 -0000

ros-humble-network-interface (3.1.0-2jammy) jammy; urgency=high

  * Fix CMakeLists.txt include install (#40 <https://github.com/astuff/network_interface/issues/40>)
  * UDP Server: Don't send reply if zero length (#38 <https://github.com/astuff/network_interface/issues/38>)
  * Add stop function for terminating (#36 <https://github.com/astuff/network_interface/issues/36>)
  * UDP Server Class (#35 <https://github.com/astuff/network_interface/issues/35>)
  * Fix UDP read function, use buffer of fixed size and shrink down after receiving packet (#33 <https://github.com/astuff/network_interface/issues/33>)
  * Contributors: icolwell-as

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Fri, 21 May 2021 05:00:00 -0000

ros-humble-network-interface (3.0.0-2jammy) jammy; urgency=high

  * Add noetic CI builds (#31 <https://github.com/astuff/network_interface/issues/31>)
  * Disable docker layer caching (#30 <https://github.com/astuff/network_interface/issues/30>)
  * Merge pull request #26 <https://github.com/astuff/network_interface/issues/26> from astuff/fix/memory_allocation
    Fix memory initialization of buffer vector.
  * Apply same buffer allocation fix to UDP interface.
  * Fix memory initialization of buffer vector.
  * Adding copyright to utils.cpp.
  * Moving definition of return_status_desc to fix linking bug.
  * Merge pull request #25 <https://github.com/astuff/network_interface/issues/25> from astuff/maint/cpp_11_cleanup
    Maint/cpp 11 cleanup
  * Had to add offset to parse_tuple.
  * Moving parse_tuple from ibeo_core.
  * Allowing read functions to take multiple containers.
  * Commenting code.
  * New implementation of write_le and write_be. Tests for both.
  * Changing valueOffset to float and casting in util functions.
  * Replacing unsigned int with uint32_t.
  * Used wrong type-trait qualifier.
  * CI: Adding Melodic armhf build.
  * CI: Machine executors require sudo.
  * CI: Add first run at armhf build.
  * Changing to reinterpret_cast instead of non-portable solution.
  * Removing async calls from TCP. Allocating buffers with reserve.
  * Removing apparently useless check in write_le.
  * Consistent braced initializers.
  * -DBUILD_ROS is no longer a thing.
  * Reserving requested space in read_exactly.
  * Making ByteOrder enum scoped too.
  * Switching back to memcpy.
  * Moving common enums into common.h.
  * Scoped enum for return statuses.
  * Using vectors and type traits.
  * CI: Making roslint run in run_tests.
  * Merge pull request #20 <https://github.com/astuff/network_interface/issues/20> from astuff/maint/ci_add_lint
    Maint/ci add lint
  * CI: Adding catkin_test_results the right way.
  * CI: Adding catkin_test_results.
  * Making lint cover all files and adding copyright.
  * CI: Need --no-deps for lint.
  * CI: Oops.
  * CI: Adding roslint to build tests.
  * Removing unused gitlabci file.
  * CI: Removing Indigo build.
  * Merge pull request #19 <https://github.com/astuff/network_interface/issues/19> from astuff/maint/add_urls
    Adding website URL to package.xml.
  * Adding website URL to package.xml.
  * Merge pull request #18 <https://github.com/astuff/network_interface/issues/18> from astuff/maint/ci_new_docker_images
    CI: Using AS Docker images.
  * CI: Using AS Docker images.
  * Contributors: Ian Colwell, Joshua Whitley, Rinda Gunjala, Sam Rustan, Zach Oakes

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 03 Mar 2021 06:00:00 -0000

ros-humble-network-interface (2.1.0-2jammy) jammy; urgency=high

  * Merge pull request #13 <https://github.com/astuff/network_interface/issues/13> from astuff/maint/remove_unused_variables_in_test
  * Minor linting stuff.
  * Implementing proper dependencies for rosunit.
  * Removing unused variables in gtests.
  * Merge pull request #10 <https://github.com/astuff/network_interface/issues/10> from astuff/maint/roslint
  * Removing temporary .orig files.
  * Fixing roslint suggestions.
  * Adding roslint.
  * Merge pull request #8 <https://github.com/astuff/network_interface/issues/8> from astuff/fix/strict_aliasing
  * endianess check now returns bool
  * removes copying input into system endianess check
  * Adds check for system endianess
    This allows moving the source address start further into
    the stored uint64_t to properly grab the least significant
    bytes for putting into smaller containers.
  * changes comment on readbeint test case
  * removes unused include from debugging
  * Fixes read_be and read_le to remove aliasing issue
    Also adds .vscode to gitignore for VS Code users.
  * Merge pull request #6 <https://github.com/astuff/network_interface/issues/6> from astuff/unit_testing
  * Adds unit tests for some methods. Corrects found issues
    Unit tests found issues with misinterpreting floats and doubles
    Modified methods and now this commit Fixes #1 <https://github.com/astuff/network_interface/issues/1>
  * Merge pull request #3 <https://github.com/astuff/network_interface/issues/3> from KyleARectorAStuff/feature/tcp_read_timeout
  * Adding no-timeout option when the timeout_ms argument is 0
    Before this commit, a timeout was used in every call TCPInterface::read or
    TCPInterface::read_exactly, with a default of 0 ms. After this commit,
    the default is set to 0 ms, and if the read or read_exactly methods receive
    a 0 timeout request, it will not set a deadline for the timeout, resulting
    in a blocking read. This allows for the TCPInterface to behave with a
    timeout, or else be used as it was previously.


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-network-interface//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-network-interface 2003.1.2

=== debian/changelog ===
ros-humble-network-interface (2003.1.2-1bookworm) bookworm; urgency=high

  * Boost dependency testing (#44 <https://github.com/astuff/network_interface/issues/44>)
    * remove installation of Boost from circleci config
    * modify CMakeLists so that the messages and library end up where they belong in humble
    * reset circleci config to the way it was before
  * Contributors: cullenstoneAS

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Mon, 16 Oct 2023 16:00:00 -0000

ros-humble-network-interface (2003.1.1-1bookworm) bookworm; urgency=high

  * Ros2 devel (#42 <https://github.com/astuff/network_interface/issues/42>)
    * changes for ros2
    * foxy ci
    * install Boost library in docker container
  * Contributors: cullenstoneAS

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Tue, 28 Jun 2022 16:00:00 -0000

ros-humble-network-interface (3.1.0-1bookworm) bookworm; urgency=high

  * Fix CMakeLists.txt include install (#40 <https://github.com/astuff/network_interface/issues/40>)
  * UDP Server: Don't send reply if zero length (#38 <https://github.com/astuff/network_interface/issues/38>)
  * Add stop function for terminating (#36 <https://github.com/astuff/network_interface/issues/36>)
  * UDP Server Class (#35 <https://github.com/astuff/network_interface/issues/35>)
  * Fix UDP read function, use buffer of fixed size and shrink down after receiving packet (#33 <https://github.com/astuff/network_interface/issues/33>)
  * Contributors: icolwell-as

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 20 May 2021 16:00:00 -0000

ros-humble-network-interface (3.0.0-1bookworm) bookworm; urgency=high

  * Add noetic CI builds (#31 <https://github.com/astuff/network_interface/issues/31>)
  * Disable docker layer caching (#30 <https://github.com/astuff/network_interface/issues/30>)
  * Merge pull request #26 <https://github.com/astuff/network_interface/issues/26> from astuff/fix/memory_allocation
    Fix memory initialization of buffer vector.
  * Apply same buffer allocation fix to UDP interface.
  * Fix memory initialization of buffer vector.
  * Adding copyright to utils.cpp.
  * Moving definition of return_status_desc to fix linking bug.
  * Merge pull request #25 <https://github.com/astuff/network_interface/issues/25> from astuff/maint/cpp_11_cleanup
    Maint/cpp 11 cleanup
  * Had to add offset to parse_tuple.
  * Moving parse_tuple from ibeo_core.
  * Allowing read functions to take multiple containers.
  * Commenting code.
  * New implementation of write_le and write_be. Tests for both.
  * Changing valueOffset to float and casting in util functions.
  * Replacing unsigned int with uint32_t.
  * Used wrong type-trait qualifier.
  * CI: Adding Melodic armhf build.
  * CI: Machine executors require sudo.
  * CI: Add first run at armhf build.
  * Changing to reinterpret_cast instead of non-portable solution.
  * Removing async calls from TCP. Allocating buffers with reserve.
  * Removing apparently useless check in write_le.
  * Consistent braced initializers.
  * -DBUILD_ROS is no longer a thing.
  * Reserving requested space in read_exactly.
  * Making ByteOrder enum scoped too.
  * Switching back to memcpy.
  * Moving common enums into common.h.
  * Scoped enum for return statuses.
  * Using vectors and type traits.
  * CI: Making roslint run in run_tests.
  * Merge pull request #20 <https://github.com/astuff/network_interface/issues/20> from astuff/maint/ci_add_lint
    Maint/ci add lint
  * CI: Adding catkin_test_results the right way.
  * CI: Adding catkin_test_results.
  * Making lint cover all files and adding copyright.
  * CI: Need --no-deps for lint.
  * CI: Oops.
  * CI: Adding roslint to build tests.
  * Removing unused gitlabci file.
  * CI: Removing Indigo build.
  * Merge pull request #19 <https://github.com/astuff/network_interface/issues/19> from astuff/maint/add_urls
    Adding website URL to package.xml.
  * Adding website URL to package.xml.
  * Merge pull request #18 <https://github.com/astuff/network_interface/issues/18> from astuff/maint/ci_new_docker_images
    CI: Using AS Docker images.
  * CI: Using AS Docker images.
  * Contributors: Ian Colwell, Joshua Whitley, Rinda Gunjala, Sam Rustan, Zach Oakes

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Tue, 02 Mar 2021 16:00:00 -0000

ros-humble-network-interface (2.1.0-1bookworm) bookworm; urgency=high

  * Merge pull request #13 <https://github.com/astuff/network_interface/issues/13> from astuff/maint/remove_unused_variables_in_test
  * Minor linting stuff.
  * Implementing proper dependencies for rosunit.
  * Removing unused variables in gtests.
  * Merge pull request #10 <https://github.com/astuff/network_interface/issues/10> from astuff/maint/roslint
  * Removing temporary .orig files.
  * Fixing roslint suggestions.
  * Adding roslint.
  * Merge pull request #8 <https://github.com/astuff/network_interface/issues/8> from astuff/fix/strict_aliasing
  * endianess check now returns bool
  * removes copying input into system endianess check
  * Adds check for system endianess
    This allows moving the source address start further into
    the stored uint64_t to properly grab the least significant
    bytes for putting into smaller containers.
  * changes comment on readbeint test case
  * removes unused include from debugging
  * Fixes read_be and read_le to remove aliasing issue
    Also adds .vscode to gitignore for VS Code users.
  * Merge pull request #6 <https://github.com/astuff/network_interface/issues/6> from astuff/unit_testing
  * Adds unit tests for some methods. Corrects found issues
    Unit tests found issues with misinterpreting floats and doubles
    Modified methods and now this commit Fixes #1 <https://github.com/astuff/network_interface/issues/1>
  * Merge pull request #3 <https://github.com/astuff/network_interface/issues/3> from KyleARectorAStuff/feature/tcp_read_timeout


=== debian/control ===
Source: ros-humble-network-interface
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/network_interface
Standards-Version: 3.9.2

Package: ros-humble-network-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Network interfaces and messages.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-network-interface//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-network-interface//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-network-interface//opt/ros/humble/opt/network_interface/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
